<?php

require_once(__DIR__ . '/../../../config.php');
require_login();
global $DB,$USER;

$limit = optional_param('limit', null, PARAM_TEXT);

if ($limit == null) {
    $limit = 9;
}

$sql = "select distinct mu.id ,concat(mu.firstname,' ',mu.lastname) as nama_user
from mdl_user_enrolments
join mdl_enrol me on mdl_user_enrolments.enrolid = me.id
join mdl_course mc on me.courseid = mc.id
join mdl_user mu on mdl_user_enrolments.userid = mu.id and mu.deleted = 0 and mu.confirmed = 1
join mdl_course_modules mcm on mc.id = mcm.course";

$users = $DB->get_records_sql($sql);

//print_r(json_encode($users));

$sql0 = "select concat (mu.id, ' ',mc.fullname) as tindex,mu.id as userid, mc.id, mc.fullname as nama_course,
       floor(round((count(mcmc.id)/count(mcm.id))*100,0)) as persentase
from mdl_user_enrolments
join mdl_enrol me on mdl_user_enrolments.enrolid = me.id
join mdl_course mc on me.courseid = mc.id
join mdl_user mu on mdl_user_enrolments.userid = mu.id and mu.deleted = 0 and mu.confirmed = 1
join mdl_course_modules mcm on mc.id = mcm.course
left join mdl_course_modules_completion mcmc on mcmc.coursemoduleid = mcm.id and mcmc.userid = mu.id
where deleted = 0 and mcm.completion = 2
group by mu.id,nama_course,mc.id
order by mu.id,mc.id";

$course_completion = $DB->get_records_sql($sql0);

//print_r(json_encode($course_completion));

$user_activity = array();

$count_all = 0;

foreach ($users as $key => $value) {
    $c_user = 0;
    foreach ($course_completion as $key1 => $value1) {
        if ($value->id == $value1->userid) {
            $c_user++;
            $users[$key]->course[] = $value1;
        }
    }

    if ($c_user > 0) {
        $user_activity[] = $users[$key];
        $count_all++;
    }

    if ($count_all == $limit) {
        break;
    }

}

//print_r(json_encode($user_activity));
